#line 1 "C:/Users/Konstantin/Desktop/IMPORTANT/PIC/pic18f2550_2servos/code/pic18f250_2servos.c"
unsigned short counter = 0, motor1 = 0, motor2 = 0, motor3 = 0;


void InitTimer1(void) {

 T1CON = 0x01;
 TMR1IF_bit = 0;
 TMR1H = 0xFD;
 TMR1L = 0x80;
 TMR1IE_bit = 1;
 INTCON = 0xC0;

 return;
}

void hereGoesMyISR(void) {
 if (TMR1IF_bit == 1) {
 TMR1IF_bit = 0;

 TMR1H = 0xFD;
 TMR1L = 0x80;
 counter++;

 if (counter == 156) {
 PORTB.F2 = 1;
 PORTB.F3 = 1;
 PORTB.F4 = 1;
 counter = 0;
 }
 if (counter == motor1)
 PORTB.F2 = 0;
 if (counter == motor2)
 PORTB.F3 = 0;
 if (counter == motor3)
 PORTB.F4 = 0;
 }

 return;
}

void interrupt(void) {
 hereGoesMyISR();
}

void main() {

 CMCON = 0x07;
 ADCON1 = 0x0F;
 GIE_bit = 1;
 TRISB.F2 = 0;
 TRISB.F3 = 0;
 TRISB.F4 = 0;

 TRISA.F0 = 0;
 PORTA.F0 = 1;

 InitTimer1();

 while(1) {
 motor1 = 6;
 motor2 = 6;
 motor3 = 6;
 Delay_ms(500);
 motor1 = 18;
 motor2 = 18;
 motor3 = 12;
 Delay_ms(500);
 }

 return;
}
